Samples sessions, scores their signals, persists one core EvalResult per sample and returns the aggregate.
POST
/v1/m/evals/monitor
const url = 'https://example.com/v1/m/evals/monitor';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"limit":1,"subject_kind":"example","subject_ref":"example","suite":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/evals/monitor \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "limit": 1, "subject_kind": "example", "subject_ref": "example", "suite": "example" }'Samples sessions, scores their signals, persists one core EvalResult per sample and returns the aggregate.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
limit
integer
subject_kind
string
subject_ref
string
suite
string
Example generated
{ "limit": 1, "subject_kind": "example", "subject_ref": "example", "suite": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}